com.icesoft.faces.component.menupopup

## Class MenuPopup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - com.icesoft.faces.component.menubar.MenuBar
        - - com.icesoft.faces.component.menupopup.MenuPopup

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class MenuPopup
      extends MenuBar

  MenuPopup is a JSF component class representing the ICEfaces context menu popup.

  The menuPopup component extends the menuBar, to provide a menu that is displayed when the user right-mouse clicks, or context-clicks, on another component, which knows to invoke the menuPopup because has specified to do so via its menuPopup attribute, which references the menuPopup's id.

  The menuPopup behaves, as is defined, the same as menuBar, except for some minor differences:

  1. menuPopup does not have a visible attribute, because that would interfere with the mechanism for dynamically displaying the popup menu 2. menuPopup does not have an orientation attribute, because it is always shown vertically 3. menuPopup's default style class is iceMnuPop, instead of menuBar's iceMnuBar
  Author:
    Mark Collette

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.component.menubar.MenuBar

      `DEFAULT_ORIENTATION, ID_PREFIX, ORIENTATION_HORIZONTAL, ORIENTATION_VERTICAL`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY, COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuPopup()` default no args constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `java.lang.String` | `getComponentRootStyle()`
    `java.lang.String` | `getComponentType()`
    `javax.faces.el.MethodBinding` | `getDisplayListener()` Return the value of the `displayListener` property.
    `java.lang.String` | `getFamily()` Return the value of the `COMPONENT_FAMILY` of this component.
    `java.lang.String` | `getHideOn()` Return the value of the `hideOn` property.
    `java.lang.String` | `getOrientation()` Orientation is fixed to vertical
    `java.lang.String` | `getRendererType()`
    `java.lang.String` | `getTopSubMenuStyleClass()`
    `boolean` | `isBlockMenuOnInput()`
    `void` | `queueEvent(javax.faces.event.FacesEvent e)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setBlockMenuOnInput(boolean blockMenuOnInput)`
    `void` | `setDisplayListener(javax.faces.el.MethodBinding displayListener)` Set the value of the `displayListener` property.
    `void` | `setHideOn(java.lang.String hideOn)` Set the value of the `hideOn` property.
    `void` | `setOrientation(java.lang.String orient)` Orientation is fixed to vertical

    - ### Methods inherited from class com.icesoft.faces.component.menubar.MenuBar

      `encodeBegin, getImageDir, getItemImageStyleClass, getItemLabelStyleClass, getItemStyleClass, getJsCall, getNoIcons, getRenderedOnUserRole, getStyle, getStyleClass, getSubMenuIndicatorStyleClass, getSubMenuStyleClass, invokeOnComponent, isDisplayOnClick, isKeyboardNavigationEnabled, isRendered, isScrollableDivMode, processDecodes, setDisplayOnClick, setImageDir, setKeyboardNavigationEnabled, setNoIcons, setRenderedOnUserRole, setScrollableDivMode, setStyle, setStyleClass`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuPopup

          public MenuPopup()

      default no args constructor

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Return the value of the `COMPONENT_FAMILY` of this component.

      Overrides:
        `getFamily` in class `MenuBar`
      Returns:
        String component family

    - #### getComponentType

          public java.lang.String getComponentType()

      Overrides:
        `getComponentType` in class `MenuBar`
      Returns:
        String component type

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `MenuBar`

    - #### getOrientation

          public java.lang.String getOrientation()

      Orientation is fixed to vertical

      Overrides:
        `getOrientation` in class `MenuBar`
      Returns:
        String orientation

    - #### setOrientation

          public void setOrientation(java.lang.String orient)

      Orientation is fixed to vertical

      Overrides:
        `setOrientation` in class `MenuBar`
      Parameters:
        `orient` -

    - #### getTopSubMenuStyleClass

          public java.lang.String getTopSubMenuStyleClass()

    - #### getComponentRootStyle

          public java.lang.String getComponentRootStyle()

      Overrides:
        `getComponentRootStyle` in class `MenuBar`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent e)

      Overrides:
        `queueEvent` in class `MenuBar`

    - #### setHideOn

          public void setHideOn(java.lang.String hideOn)

      Set the value of the `hideOn` property.

      Parameters:
        `hideOn` -

    - #### getHideOn

          public java.lang.String getHideOn()

      Return the value of the `hideOn` property.

      Returns:
        String hideOn

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `MenuBar`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `MenuBar`

    - #### getDisplayListener

          public javax.faces.el.MethodBinding getDisplayListener()

      Return the value of the `displayListener` property.

    - #### setDisplayListener

          public void setDisplayListener(javax.faces.el.MethodBinding displayListener)

      Set the value of the `displayListener` property.

    - #### isBlockMenuOnInput

          public boolean isBlockMenuOnInput()

    - #### setBlockMenuOnInput

          public void setBlockMenuOnInput(boolean blockMenuOnInput)

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `MenuBar`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.